@import './../../../../variables.scss';

.calculator-wrapper {
    width: 176px;
    padding: 8px;
    display: flex;
    flex-direction: column;
}

.calculator-wrapper .input-wrapper input {
    width: 100%;
    border-top: 2px solid $border-bottom-color;
    border-left: 2px solid $border-bottom-color;
    border-bottom: 2px solid $border-top-color;
    border-right: 2px solid $border-top-color;
    padding: 3px;
    text-align: right;
    outline: none;
}

.calculator-wrapper .control-buttons-wrapper {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    padding-top: 6px;
    padding-bottom: 6px;
}

.calculator-wrapper .control-buttons-wrapper button {
    height: 28px;
    padding-left: 8px;
    padding-right: 8px;
    margin-left: 4px;
    background-color: #c0c0c0;
    color: #800000;
    font-weight: 500;
    border-top: 2px solid $border-top-color;
    border-left: 2px solid $border-top-color;
    border-bottom: 2px solid $border-bottom-color;
    border-right: 2px solid $border-bottom-color;
    outline: none;
}

.calculator-wrapper .control-buttons-wrapper button:active,
.calculator-wrapper .numbers-wrapper button:active {
    border-top: 2px solid $border-bottom-color;
    border-left: 2px solid $border-bottom-color;
    border-bottom: 2px solid $border-top-color;
    border-right: 2px solid $border-top-color;
}

.calculator-wrapper .numbers-wrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
}


.calculator-wrapper .numbers-wrapper button {
    height: 28px;
    width: 36px;
    margin-left: 4px;
    margin-bottom: 6px;
    background-color: #c0c0c0;
    border-top: 2px solid $border-top-color;
    border-left: 2px solid $border-top-color;
    border-bottom: 2px solid $border-bottom-color;
    border-right: 2px solid $border-bottom-color;
    outline: none;
}